(* sig Global *)
(** Global contexts and environments. *)

val tmCxt : unit -> Surr.cxt
val tmEnv : unit -> Surr.env
val tyCxt : unit -> Surr.cxt
val tyEnv : unit -> Surr.env

val tmSurr : unit -> Clos.surr
val tySurr : unit -> Clos.surr
val kiSurr : unit -> Clos.surr

val closeTm : Exp.exp -> Clos.clos
val closeTy : Exp.exp -> Clos.clos
val closeKi : Exp.exp -> Clos.clos

val addTmDecl : string * Exp.exp -> unit
val addTyDecl : string * Exp.exp -> unit
val addTmDef  : string * Exp.exp * Exp.exp -> unit
val addTyDef  : string * Exp.exp * Exp.exp * bool -> unit

